Page MenuHomePhabricator

Uncaught TypeError: Cannot read property 'node' of undefined
Closed, ResolvedPublic

Description

A significant amount of errors mostly on mobile Chrome on Commons and French Wikipedia (this is the most common error in https://logstash.wikimedia.org/goto/fa60de345fb4d22a9c9ae99a607eb91e)
https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2020.09.16/clienterror/?id=AXSYFS45LNRtRo5XRCmn

at URL1:65:990
at emitLayoutShift  URL1:65:718
at PerformanceObserver.<anonymous>  URL1:66:487

URL1: https://ca.m.wikipedia.org/w/load.php?lang=ca&modules=ext.centralNotice.bannerHistoryLogger%2CchoiceData%2Cdisplay%2CgeoIP%2CimpressionDiet%2ClargeBannerLimit%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cjquery%2Coojs-ui-core%2Coojs-ui-widgets%2Coojs-ui-windows%7Cjquery.client%7Cmediawiki.Title%2Capi%2Cbase%7Cmediawiki.page.ready%7Cmediawiki.page.watch.ajax%7Cmobile.init%2Cstartup%7Cmobile.ooui.icons%7Cmobile.placeholder.images%7Cmobile.startup.images%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.indicators%7Cskins.minerva.icons.images.scripts.misc%7Cskins.minerva.icons.page.issues.default.color%7Cskins.minerva.icons.page.issues.medium.color%7Cskins.minerva.icons.page.issues.uncolored%7Cskins.minerva.scripts%7Cuser.defaults%7Cwikibase.client.data-bridge.init&skin=minerva&version=16t48

Event Timeline

Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald Transcript

This is a new client-side error that has occurred with the current release relating to T259784. Possibly a deployment blocker?

RhinosF1 triaged this task as Unbreak Now! priority.Sep 16 2020, 6:17 PM
RhinosF1 added a subscriber: RhinosF1.

Blocker ---> UBN!

Per discussion in log triage meeting, doesn't warrant a rollback but should be fixed before we roll forward to all wikis.

It appears (would be happy to be wrong), at least a significant amount of log entries - incl. the one chosen as example - are in fact from Catalan Wikipedia and involve Wikidata-Bridge.

The project recently had https://gerrit.wikimedia.org/r/627238/ merged. A shrinkage of "modern bundle by 7%" could indicate the removal of some polyfills which in turn could cause problems with some older browsers (I'm seeing really old android versions).

Looking into this a bit more.

https://gerrit.wikimedia.org/r/627798 should be a virtually risk free way (merely undoing to a state we saw in production earlier) to rule out/confirm bridge as the culprit. Will run this with the team first thing tomorrow (not quite German business hours).

Change 628038 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Account for empty layout shift sources array

https://gerrit.wikimedia.org/r/628038

Change 628039 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@wmf/1.36.0-wmf.9] Account for empty layout shift sources array

https://gerrit.wikimedia.org/r/628039

Change 628039 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@wmf/1.36.0-wmf.9] Account for empty layout shift sources array

https://gerrit.wikimedia.org/r/628039

Gilles changed the task status from Open to Stalled.Sep 17 2020, 9:08 AM
Gilles added a subscriber: Krinkle.

I can't deploy the change because of a scap global lock owned by @Krinkle that I can't delete:

08:58:47 sync-file failed: <LockFailedError> Failed to acquire lock "/var/lock/scap-global-lock"; owner is "krinkle"; reason is "no excuse given"

Once the lock is removed by whoever can (I don't have the right linux permissions, it seems), please deploy the backport:

gilles@deploy1001:/srv/mediawiki-staging$ scap sync-file php-1.36.0-wmf.9/extensions/NavigationTiming 'T263047 Account for empty layout shift sources array'

https://gerrit.wikimedia.org/r/627798 is now abandoned with a patch for another suspect in deployment.

Change 628038 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Account for empty layout shift sources array

https://gerrit.wikimedia.org/r/628038

Once the lock is removed by whoever can (I don't have the right linux permissions, it seems), please deploy the backport:

Done.

The backported patch fixed the error, as expected: